commit:     cb8557d7c96dd2802af98a5cefa76c06c95bdc6b
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 10 15:24:32 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Jan 10 23:17:59 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cb8557d7

app-arch/bzip3: bump to 1.2.2

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-arch/bzip3/Manifest           |  1 +
 app-arch/bzip3/bzip3-1.2.2.ebuild | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/app-arch/bzip3/Manifest b/app-arch/bzip3/Manifest
index 32fa708d937d..0b3db675dbfb 100644
--- a/app-arch/bzip3/Manifest
+++ b/app-arch/bzip3/Manifest
@@ -1,3 +1,4 @@
 DIST bzip3-1.1.5.tar.xz 265340 BLAKE2B 
0226a97d564f1c9d9d1089b43ae79a9e43d0b77628298ef953c45505ad8d62caaf17bf6fa357857f123cf072b8ccd3003bfe138f25284baa5a5a5cdd8a555f71
 SHA512 
589c2e8e675a61014c7c4e82d0f2067201e3fb97bf7cfa6b7aa23690dc739824226089ac710509cc085b22eeb671ed5e23c6493967a433d3b284cb638af71be8
 DIST bzip3-1.1.8.tar.xz 269668 BLAKE2B 
fe85ba2ecca8e2433501c13e57856720da731b6c959340a68dd4654a516c12e034a90ff6cd6aed55dd2160c3860fdc3e60cddd47ffd00737a657a2e6c73704af
 SHA512 
36141a48f0d5b35de4b06117ceca3c5d5cdc3df6be187856f1436751984b0154942e0eece531ee7b191cc0cd7056960de6a1ca3ec0fc2bcc7ff1d50444cd1e3e
 DIST bzip3-1.2.1.tar.xz 271652 BLAKE2B 
ef4eae00d93b00dd6dcf2d3beb980c5b0466e8d1af5b6a1c1a493c1524fb91043cbafe404d9ac6907491ab5e894676b3802b572125e14e9a8be19f7ffa22abaa
 SHA512 
b20a7ea52f83a4ddfab0965e34809be66729b516688f1f04b8a21adf5c3c1ad0819dab416f3e844d88d8f52dbe098bedefe63f879c8a6322ffcb19f3f1b3d2d8
+DIST bzip3-1.2.2.tar.xz 275872 BLAKE2B 
601f0b150dee756d204c186f6ace5106fbc90189862cb1bcba7d4f2a2dd093ded64bb8feba0f214aac39ad138a23e6ef430a5e75829dd2ebab77c79d85342197
 SHA512 
476876f3949ac285e86625a9a83741308910ddce5b9449c0ca02b41d9c336f759b9702f2ce6b61243f1fde59a9ef8cf926fb2e94911828d5f39e207319bf522d

diff --git a/app-arch/bzip3/bzip3-1.2.2.ebuild 
b/app-arch/bzip3/bzip3-1.2.2.ebuild
new file mode 100644
index 000000000000..33aa6e59599d
--- /dev/null
+++ b/app-arch/bzip3/bzip3-1.2.2.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="A better and stronger spiritual successor to BZip2"
+HOMEPAGE="https://github.com/kspalaiologos/bzip3";
+
+if [[ ${PV} == *9999* ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/kspalaiologos/${PN}.git";
+else
+       
SRC_URI="https://github.com/kspalaiologos/${PN}/releases/download/${PV}/${P}.tar.xz";
+       KEYWORDS="~amd64 ~arm64 ~loong ~x86"
+fi
+
+LICENSE="LGPL-3+"
+SLOT="0"
+
+src_configure() {
+       # ./configure script will default to Clang if it is found on the system,
+       # force the use of CC selected by the user with CC=$(tc-getCC)
+       econf CC=$(tc-getCC)
+}
+
+src_install() {
+       default
+
+       find "${ED}" -type f -name '*.la' -delete || die
+}

Reply via email to